Subject: bug#78126: "guix refresh --list-updaters" fails with json-invalid

From: Lars-Dominik Braun <[email-masked]>
Date: Fri, 6 Jun 2025 10:38:39 +0200

Hi,

> A message on guix-devel about guix refresh failing caught my eye today, and I decided to test the command and subsequently to bisect it. The error with "guix refresh --list-updaters" actually seems to be about a year old, and I have bisected the "json-invalid" error to commit 0bce74d458a343e61d054c4b25d6f67bd1086f3c "gnu: Upgrade to Stackage 20.26." from early June of last year. I've CC'ed Lars-Dominik Braun since he was the author of the stackage update commit.

doesn’t look like a Guix issue right now (well, we
could catch the exception). I reported the issue here:
https://github.com/commercialhaskell/stackage/issues/7769 – not sure
whether this is the correct place.

Lars